> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Invokes the c1.api.accessreview.v1.AccessReviewTemplateService.Create method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/access_review_template
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/access_review_template:
    post:
      tags:
        - Access Review Template
      summary: Create
      description: >-
        Invokes the c1.api.accessreview.v1.AccessReviewTemplateService.Create
        method.
      operationId: c1.api.accessreview.v1.AccessReviewTemplateService.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.accessreview.v1.AccessReviewTemplateServiceCreateRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessreview.v1.AccessReviewTemplateServiceCreateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AccessReviewTemplate.Create(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AccessReviewTemplateServiceCreateResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.accessreview.v1.AccessReviewTemplateServiceCreateRequest:
      description: The AccessReviewTemplateServiceCreateRequest message.
      properties:
        accessReviewDuration:
          format: duration
          readOnly: false
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        notificationConfig:
          $ref: '#/components/schemas/c1.api.accessreview.v1.NotificationConfig'
        ownerIds:
          description: The ownerIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        policyId:
          description: The policyId field.
          readOnly: false
          type: string
        scopeType:
          description: The scopeType field.
          enum:
            - ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ENTITLEMENTS
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ACCESS_CONFLICTS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Access Review Template Service Create Request
      type: object
      x-speakeasy-name-override: AccessReviewTemplateServiceCreateRequest
    c1.api.accessreview.v1.AccessReviewTemplateServiceCreateResponse:
      description: The AccessReviewTemplateServiceCreateResponse message.
      properties:
        accessReviewTemplate:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewTemplate'
      title: Access Review Template Service Create Response
      type: object
      x-speakeasy-name-override: AccessReviewTemplateServiceCreateResponse
    c1.api.accessreview.v1.NotificationConfig:
      description: The NotificationConfig message.
      properties:
        sendClose:
          description: The sendClose field.
          readOnly: false
          type: boolean
        sendReminders:
          description: The sendReminders field.
          readOnly: false
          type: boolean
      title: Notification Config
      type: object
      x-speakeasy-name-override: NotificationConfig
    c1.api.accessreview.v1.AccessReviewTemplate:
      description: >
        The AccessReviewTemplate message.


        This message contains a oneof named slack_channel_details. Only a single
        field of the following list may be set at a time:
          - slackChannel
      properties:
        accessReviewDuration:
          format: duration
          readOnly: false
          type: string
        autoGenerateReport:
          description: auto generate report when campaign is closed
          readOnly: false
          type: boolean
        createdAt:
          format: date-time
          readOnly: true
          type: string
        defaultView:
          description: The defaultView field.
          enum:
            - ACCESS_REVIEW_VIEW_TYPE_UNSPECIFIED
            - ACCESS_REVIEW_VIEW_TYPE_BY_APP
            - ACCESS_REVIEW_VIEW_TYPE_BY_USER
            - ACCESS_REVIEW_VIEW_TYPE_UNSTRUCTURED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        exemptCertifiedAccessConflicts:
          description: The exemptCertifiedAccessConflicts field.
          readOnly: false
          type: boolean
        id:
          description: The id field.
          readOnly: false
          type: string
        inclusionScope:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.AccessReviewInclusionScope
        isCampaignScheduleEnabled:
          description: The isCampaignScheduleEnabled field.
          readOnly: false
          type: boolean
        nextScheduledCampaignAt:
          format: date-time
          readOnly: false
          type: string
        notificationConfig:
          $ref: '#/components/schemas/c1.api.accessreview.v1.NotificationConfig'
        occurrences:
          description: The occurrences field.
          format: int32
          readOnly: false
          type: integer
        policyId:
          description: The policyId field.
          readOnly: false
          type: string
        recurrenceRule:
          $ref: '#/components/schemas/c1.api.accessreview.v1.RecurrenceRule'
        reviewInstructions:
          description: The reviewInstructions field.
          readOnly: false
          type: string
        scope:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewScopeV2'
        scopeType:
          description: The scopeType field.
          enum:
            - ACCESS_REVIEW_SCOPE_TYPE_UNSPECIFIED
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ENTITLEMENTS
            - ACCESS_REVIEW_SCOPE_TYPE_BY_ACCESS_CONFLICTS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        signatureConfig:
          $ref: '#/components/schemas/c1.api.accessreview.v1.ReviewSignatureConfig'
        slackChannel:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SlackChannel'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        usePolicyOverride:
          description: The usePolicyOverride field.
          readOnly: false
          type: boolean
      title: Access Review Template
      type: object
      x-speakeasy-entity: Access Review Template
      x-speakeasy-name-override: AccessReviewTemplate
    c1.api.accessreview.v1.AccessReviewInclusionScope:
      description: The AccessReviewInclusionScope message.
      properties:
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserTypes:
          description: The appUserTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        managerIds:
          description: The managerIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        multiUserProfileAttributes:
          additionalProperties:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValues
          description: The multiUserProfileAttributes field.
          readOnly: false
          type: object
        noAccountOwners:
          description: The noAccountOwners field.
          readOnly: false
          type: boolean
        userIds:
          description: The userIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        userStatuses:
          description: The userStatuses field.
          items:
            enum:
              - USER_UNKNOWN
              - USER_ENABLED
              - USER_DISABLED
              - USER_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: Access Review Inclusion Scope
      type: object
      x-speakeasy-name-override: AccessReviewInclusionScope
    c1.api.accessreview.v1.RecurrenceRule:
      description: >
        The RecurrenceRule message.


        This message contains a oneof named end_condition. Only a single field
        of the following list may be set at a time:
          - endDate
          - occurrences
      properties:
        endDate:
          format: date-time
          readOnly: false
          type: string
        frequency:
          description: The frequency field.
          enum:
            - FREQUENCY_UNSPECIFIED
            - FREQUENCY_NONE
            - FREQUENCY_DAILY
            - FREQUENCY_WEEKLY
            - FREQUENCY_MONTHLY
            - FREQUENCY_YEARLY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        interval:
          description: The interval field.
          format: int32
          readOnly: false
          type: integer
        occurrences:
          description: >-
            The occurrences field.

            This field is part of the `end_condition` oneof.

            See the documentation for `c1.api.accessreview.v1.RecurrenceRule`
            for more details.
          format: int32
          nullable: true
          readOnly: false
          type: integer
        startDate:
          format: date-time
          readOnly: false
          type: string
      title: Recurrence Rule
      type: object
      x-speakeasy-name-override: RecurrenceRule
    c1.api.accessreview.v1.AccessReviewScopeV2:
      description: >
        The AccessReviewScopeV2 message.


        This message contains a oneof named apps_and_resources_scope. Only a
        single field of the following list may be set at a time:
          - appAccess
          - specificResources
          - appSelectionCriteria
          - resourceTypeSelections


        This message contains a oneof named users_scope. Only a single field of
        the following list may be set at a time:
          - allUsers
          - selectedUsers
          - userCriteria
          - celExpression


        This message contains a oneof named accounts_scope. Only a single field
        of the following list may be set at a time:
          - allAccounts
          - accountCriteria
          - accountCelExpression


        This message contains a oneof named grants_scope. Only a single field of
        the following list may be set at a time:
          - allGrants
          - grantsByCriteria


        This message contains a oneof named access_conflicts_scope. Only a
        single field of the following list may be set at a time:
          - allAccessConflicts
          - specificAccessConflicts
      properties:
        accountCelExpression:
          $ref: '#/components/schemas/c1.api.accessreview.v1.CelExpressionScope'
        accountCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AccountCriteriaScope'
        allAccessConflicts:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllAccessConflictsScope'
        allAccounts:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllAccountsScope'
        allGrants:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllGrantsScope'
        allUsers:
          $ref: '#/components/schemas/c1.api.accessreview.v1.AllUsersScope'
        appAccess:
          $ref: '#/components/schemas/c1.api.accessreview.v1.ApplicationAccessScope'
        appSelectionCriteria:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.AppSelectionCriteriaScope
        celExpression:
          $ref: '#/components/schemas/c1.api.accessreview.v1.CelExpressionScope'
        grantsByCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantsByCriteriaScope'
        resourceTypeSelections:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.ResourceTypeSelectionScope
        selectedUsers:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SelectedUsersScope'
        specificAccessConflicts:
          $ref: >-
            #/components/schemas/c1.api.accessreview.v1.SpecificAccessConflictsScope
        specificResources:
          $ref: '#/components/schemas/c1.api.accessreview.v1.SpecificResourcesScope'
        userCriteria:
          $ref: '#/components/schemas/c1.api.accessreview.v1.UserCriteriaScope'
      title: Access Review Scope V 2
      type: object
      x-speakeasy-name-override: AccessReviewScopeV2
    c1.api.accessreview.v1.ReviewSignatureConfig:
      description: Signature configuration for access review submissions
      properties:
        meaningOfSignature:
          description: The meaningOfSignature field.
          readOnly: false
          type: string
        requireSignature:
          description: The requireSignature field.
          readOnly: false
          type: boolean
        stepUpProviderId:
          description: The stepUpProviderId field.
          readOnly: false
          type: string
        tspUrl:
          description: The tspUrl field.
          readOnly: false
          type: string
      title: Review Signature Config
      type: object
      x-speakeasy-name-override: ReviewSignatureConfig
    c1.api.accessreview.v1.SlackChannel:
      description: The SlackChannel message.
      nullable: true
      properties:
        description:
          description: The description field.
          readOnly: false
          type: string
        name:
          description: The name field.
          readOnly: false
          type: string
      title: Slack Channel
      type: object
      x-speakeasy-name-override: SlackChannel
    c1.api.accessreview.v1.IncludedUserAttributeValues:
      description: The IncludedUserAttributeValues message.
      properties:
        values:
          description: The values field.
          items:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValue
          nullable: true
          readOnly: false
          type: array
      title: Included User Attribute Values
      type: object
      x-speakeasy-name-override: IncludedUserAttributeValues
    c1.api.accessreview.v1.CelExpressionScope:
      description: The CelExpressionScope message.
      nullable: true
      properties:
        expression:
          description: The expression field.
          readOnly: false
          type: string
      title: Cel Expression Scope
      type: object
      x-speakeasy-name-override: CelExpressionScope
    c1.api.accessreview.v1.AccountCriteriaScope:
      description: The AccountCriteriaScope message.
      nullable: true
      properties:
        accountDomain:
          description: The accountDomain field.
          enum:
            - APP_USER_DOMAIN_UNSPECIFIED
            - APP_USER_DOMAIN_EXTERNAL
            - APP_USER_DOMAIN_TRUSTED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        accountTypes:
          description: The accountTypes field.
          items:
            enum:
              - APP_USER_TYPE_UNSPECIFIED
              - APP_USER_TYPE_USER
              - APP_USER_TYPE_SERVICE_ACCOUNT
              - APP_USER_TYPE_SYSTEM_ACCOUNT
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        appUserStatuses:
          description: The appUserStatuses field.
          items:
            enum:
              - APP_USER_STATUS_UNSPECIFIED
              - APP_USER_STATUS_ENABLED
              - APP_USER_STATUS_DISABLED
              - APP_USER_STATUS_DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
        noAccountOwner:
          description: The noAccountOwner field.
          readOnly: false
          type: boolean
      title: Account Criteria Scope
      type: object
      x-speakeasy-name-override: AccountCriteriaScope
    c1.api.accessreview.v1.AllAccessConflictsScope:
      description: The AllAccessConflictsScope message.
      nullable: true
      title: All Access Conflicts Scope
      type: object
      x-speakeasy-name-override: AllAccessConflictsScope
    c1.api.accessreview.v1.AllAccountsScope:
      description: The AllAccountsScope message.
      nullable: true
      title: All Accounts Scope
      type: object
      x-speakeasy-name-override: AllAccountsScope
    c1.api.accessreview.v1.AllGrantsScope:
      description: The AllGrantsScope message.
      nullable: true
      title: All Grants Scope
      type: object
      x-speakeasy-name-override: AllGrantsScope
    c1.api.accessreview.v1.AllUsersScope:
      description: The AllUsersScope message.
      nullable: true
      title: All Users Scope
      type: object
      x-speakeasy-name-override: AllUsersScope
    c1.api.accessreview.v1.ApplicationAccessScope:
      description: The ApplicationAccessScope message.
      nullable: true
      title: Application Access Scope
      type: object
      x-speakeasy-name-override: ApplicationAccessScope
    c1.api.accessreview.v1.AppSelectionCriteriaScope:
      description: The AppSelectionCriteriaScope message.
      nullable: true
      title: App Selection Criteria Scope
      type: object
      x-speakeasy-name-override: AppSelectionCriteriaScope
    c1.api.accessreview.v1.GrantsByCriteriaScope:
      description: >
        The GrantsByCriteriaScope message.


        This message contains a oneof named criteria_filter. Only a single field
        of the following list may be set at a time:
          - daysSinceAdded
          - daysSinceReviewed
          - grantsAddedBetween
      nullable: true
      properties:
        accessProfileFilter:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantAccessProfileFilter'
        daysSinceAdded:
          format: duration
          readOnly: false
          type: string
        daysSinceLastUsed:
          format: duration
          readOnly: false
          type: string
        daysSinceReviewed:
          format: duration
          readOnly: false
          type: string
        grantsAddedBetween:
          $ref: '#/components/schemas/c1.api.accessreview.v1.GrantsAddedBetween'
        sourceFilter:
          description: The sourceFilter field.
          enum:
            - GRANT_SOURCE_FILTER_UNSPECIFIED
            - GRANT_SOURCE_FILTER_DIRECT
            - GRANT_SOURCE_FILTER_INHERITED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        typeFilter:
          description: The typeFilter field.
          enum:
            - GRANT_FILTER_TYPE_UNSPECIFIED
            - GRANT_FILTER_TYPE_PERMANENT
            - GRANT_FILTER_TYPE_TEMPORARY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Grants By Criteria Scope
      type: object
      x-speakeasy-name-override: GrantsByCriteriaScope
    c1.api.accessreview.v1.ResourceTypeSelectionScope:
      description: The ResourceTypeSelectionScope message.
      nullable: true
      title: Resource Type Selection Scope
      type: object
      x-speakeasy-name-override: ResourceTypeSelectionScope
    c1.api.accessreview.v1.SelectedUsersScope:
      description: The SelectedUsersScope message.
      nullable: true
      properties:
        userIds:
          description: The userIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Selected Users Scope
      type: object
      x-speakeasy-name-override: SelectedUsersScope
    c1.api.accessreview.v1.SpecificAccessConflictsScope:
      description: The SpecificAccessConflictsScope message.
      nullable: true
      title: Specific Access Conflicts Scope
      type: object
      x-speakeasy-name-override: SpecificAccessConflictsScope
    c1.api.accessreview.v1.SpecificResourcesScope:
      description: The SpecificResourcesScope message.
      nullable: true
      title: Specific Resources Scope
      type: object
      x-speakeasy-name-override: SpecificResourcesScope
    c1.api.accessreview.v1.UserCriteriaScope:
      description: The UserCriteriaScope message.
      nullable: true
      properties:
        groupAppEntitlementsRef:
          description: The groupAppEntitlementsRef field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
        managerUserIds:
          description: The managerUserIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        multiUserProfileAttributes:
          additionalProperties:
            $ref: >-
              #/components/schemas/c1.api.accessreview.v1.IncludedUserAttributeValues
          description: The multiUserProfileAttributes field.
          readOnly: false
          type: object
        userStatus:
          description: The userStatus field.
          items:
            enum:
              - UNKNOWN
              - ENABLED
              - DISABLED
              - DELETED
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: User Criteria Scope
      type: object
      x-speakeasy-name-override: UserCriteriaScope
    c1.api.accessreview.v1.IncludedUserAttributeValue:
      description: The IncludedUserAttributeValue message.
      properties:
        value:
          description: The value field.
          readOnly: false
          type: string
      title: Included User Attribute Value
      type: object
      x-speakeasy-name-override: IncludedUserAttributeValue
    c1.api.accessreview.v1.GrantAccessProfileFilter:
      description: The GrantAccessProfileFilter message.
      properties:
        excludedAccessProfileIds:
          description: |-
            Access profile IDs to EXCLUDE from the campaign
             Used when filter_type = EXCLUDE_SPECIFIC
             Max 32 profile IDs
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        filterType:
          description: The filterType field.
          enum:
            - ACCESS_PROFILE_FILTER_TYPE_UNSPECIFIED
            - ACCESS_PROFILE_FILTER_TYPE_INCLUDE_ALL
            - ACCESS_PROFILE_FILTER_TYPE_EXCLUDE_ALL
            - ACCESS_PROFILE_FILTER_TYPE_EXCLUDE_SPECIFIC
            - ACCESS_PROFILE_FILTER_TYPE_INCLUDE_SPECIFIC
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        includedAccessProfileIds:
          description: |-
            Access profile IDs to INCLUDE in the campaign
             Used when filter_type = INCLUDE_SPECIFIC
             Max 32 profile IDs
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Grant Access Profile Filter
      type: object
      x-speakeasy-name-override: GrantAccessProfileFilter
    c1.api.accessreview.v1.GrantsAddedBetween:
      description: The GrantsAddedBetween message.
      nullable: true
      properties:
        endDate:
          format: date-time
          readOnly: false
          type: string
        startDate:
          format: date-time
          readOnly: false
          type: string
      title: Grants Added Between
      type: object
      x-speakeasy-name-override: GrantsAddedBetween
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````